Someone needs to take jwz aside...

Peter Edwards peter at
Wed Apr 20 23:17:11 BST 2011

On 20 April 2011 22:53, Walt Mankowski <waltman at> wrote:

> On Wed, Apr 20, 2011 at 09:40:57AM +0100, Dave Hodgkinson wrote:
> >
> >
> >
> > Or does he have a point?
> He's embarrassed that didn't think to run "apt-get install
> libnet-twitter-perl"?
> Fails on Redhat Linux, need to run yum.

What if he needs a newer version of the library and the upstream package
provider hasn't bundled it yet?

Imagine you're supporting a 3 year old code base that needs specific
versions of DBIx::Class, Catalyst, Moose and Class::MOP to make it run, and
when you do a upgrade via yum or apt-get or cpan random things break in your
regression tests and you don't have the budget to go fix all of them. (No,
that's not where I work now but it is a real world situation.)


More information about the mailing list